OpenGL 4.0

Discussion in 'OS X Mavericks (10.9)' started by MagnusVonMagnum, Jan 1, 2014.

  1. MagnusVonMagnum macrumors 601


    Jun 18, 2007
    Steam offered to do a hardware survey and looking at their scanned results, it's telling me I have OpenGL 2.1 on my 2012 Mac Mini running 10.9.1. Shouldn't I be seeing OpenGL 4.0? Or is it Steam's fault?
  2. JordanNZ macrumors 6502a

    Apr 29, 2004
    Auckland, New Zealand
    You have both. But chances are it's only looking at Legacy.

    Core (3.2+) and Legacy (2.1).
  3. wrldwzrd89 macrumors G5


    Jun 6, 2003
    Solon, OH
    That's the goofy thing about OS X's implementation of OpenGL. There are multiple profiles defined, as JordanNZ mentioned - the default one supports OpenGL 2.1 at maximum. To get support for OpenGL 3 and 4, the developer must opt-in their application to the relevant profile.

Share This Page